﻿using Grpc.Core;
using Grpc.Net.Client;
using System;

namespace ConsoleApp1
{
	class Program
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Hello World!");

			var channel = GrpcChannel.ForAddress("https://localhost:5001");
			var client = new GrpcService1.Greeter.GreeterClient(channel);
			var response = client.SayHello(new GrpcService1.HelloRequest { Name = "Daniele" });
			var message = response.Message;
			Console.WriteLine($"Message from the server: {message}");
			Console.ReadLine();
		}
	}
}
